<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/18
 * Time: 13:57
 */
namespace  App\Transformers\Topic;

use App\Models\Topic;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

class TopicListTransformer extends TransformerAbstract
{
    public function transform(Topic $topic)
    {
        return [
            'id' => $topic['id'],
            'name' => $topic['name'],
            'img' => $topic['img'],
            'follow_count' => getNumber($topic->follow->count() + $topic['base_count']),
        ];
    }
}